<?php  if ( ! defined('BASEPATH')) exit('No direct script access allowed');
/*
| -------------------------------------------------------------------
| Foreign Characters
| -------------------------------------------------------------------
| This file contains an array of foreign characters for transliteration
| conversion used by the Text helper
|
*/
$foreign_characters = array(
	'/ä|æ|ǽ/' => 'ae',
	'/ö/' => 'o',		// was oe
	'/œ/' => 'oe',
	'/ü/' => 'u',		// was ue
	'/Ä/' => 'A',		// was 'Ae'
	'/Ü/' => 'U',		// was 'Ue'
	'/Ö/' => 'O',		// was 'Oe'
	'/À|Á|Â|Ã|Ä|Å|Ǻ|Ā|Ă|Ą|Ǎ|А/' => 'A',
	'/à|á|â|ã|å|ǻ|ā|ă|ą|ǎ|ª|а/' => 'a',
	'/Ç|Ć|Ĉ|Ċ|Č/' => 'C',
	'/ç|ć|ĉ|ċ|č/' => 'c',
	'/Ð|Ď|Đ|Д/' => 'D',
	'/ð|ď|đ|д/' => 'd',
	'/È|É|Ê|Ë|Ē|Ĕ|Ė|Ę|Ě|Е|Ё/' => 'E',
	'/è|é|ê|ë|ē|ĕ|ė|ę|ě|е|ё/' => 'e',
	'/Ĝ|Ğ|Ġ|Ģ|Г/' => 'G',
	'/ĝ|ğ|ġ|ģ|г/' => 'g',
	'/Ĥ|Ħ|Х/' => 'H',
	'/ĥ|ħ|х/' => 'h',
	'/Ì|Í|Î|Ï|Ĩ|Ī|Ĭ|Ǐ|Į|İ|И/' => 'I',
	'/ì|í|î|ï|ĩ|ī|ĭ|ǐ|į|ı|и/' => 'i',
	'/Ĵ|Й/' => 'J',
	'/ĵ|й/' => 'j',
	'/Ķ|К/' => 'K',
	'/ķ|к/' => 'k',
	'/Ĺ|Ļ|Ľ|Ŀ|Ł|Л/' => 'L',
	'/ĺ|ļ|ľ|ŀ|ł|л/' => 'l',
	'/Ñ|Ń|Ņ|Ň|Н/' => 'N',
	'/ñ|ń|ņ|ň|ŉ|н/' => 'n',
	'/Ò|Ó|Ô|Õ|Ō|Ŏ|Ǒ|Ő|Ơ|Ø|Ǿ|О/' => 'O',
	'/ò|ó|ô|õ|ō|ŏ|ǒ|ő|ơ|ø|ǿ|º|о/' => 'o',
	'/Ŕ|Ŗ|Ř|Р/' => 'R',
	'/ŕ|ŗ|ř|р/' => 'r',
	'/Ś|Ŝ|Ş|Š|С/' => 'S',
	'/ś|ŝ|ş|š|ſ|с/' => 's',
	'/Ţ|Ť|Ŧ|Т/' => 'T',
	'/ţ|ť|ŧ|т/' => 't',
	'/Ù|Ú|Û|Ũ|Ū|Ŭ|Ů|Ű|Ų|Ư|Ǔ|Ǖ|Ǘ|Ǚ|Ǜ|У/' => 'U',
	'/ù|ú|û|ũ|ū|ŭ|ů|ű|ų|ư|ǔ|ǖ|ǘ|ǚ|ǜ|у/' => 'u',
	'/Ý|Ÿ|Ŷ|Ы/' => 'Y',
	'/ý|ÿ|ŷ|ы/' => 'y',
	'/Ŵ/' => 'W',
	'/ŵ/' => 'w',
	'/Ź|Ż|Ž|З/' => 'Z',
	'/ź|ż|ž|з/' => 'z',
	'/Æ|Ǽ/' => 'AE',
	'/ß/'=> 'ss',
	'/Ĳ/' => 'IJ',
	'/ĳ/' => 'ij',
	'/Œ/' => 'OE',
	'/ƒ/' => 'f',
	'/Б/' => 'B',
	'/б/' => 'b',
	'/В/' => 'V',
	'/в/' => 'v',
	'/Ж/' => 'ZH',
	'/ж/' => 'zh',
	'/М/' => 'M',
	'/м/' => 'm',
	'/П/' => 'P',
	'/п/' => 'p',
	'/Ф/' => 'F',
	'/ф/' => 'f',
	'/Ц/' => 'TS',
	'/ц/' => 'ts',
	'/Ч/' => 'CH',
	'/ч/' => 'ch',
	'/Ш/' => 'SH',
	'/ш/' => 'sh',
	'/Щ/' => 'SCH',
	'/щ/' => 'SCH',
	'/Ъ/' => '',
	'/ъ/' => '',
	'/Ь/' => '',
	'/ь/' => '',
	'/Э/' => 'E',
	'/э/' => 'e',
	'/Ю/' => 'YU',
	'/ю/' => 'yu',
	'/Я/' => 'YA',
	'/я/' => 'ya'
);

/* End of file foreign_chars.php */
/* Location: ./application/config/foreign_chars.php */